curl -X POST "https://api.scanova.io/bulk-operation/generate/v2/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "name=September event QR batch" \
-F "file=@event-qrs.xlsx" \
-F "theme_id=4"
{
"operation_id": "bo-9a1b2c",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
批量操作
批量生成 QR 码(v2 模板)
POST /bulk-operation/generate/v2/
POST
/
bulk-operation
/
generate
/
v2
/
curl -X POST "https://api.scanova.io/bulk-operation/generate/v2/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "name=September event QR batch" \
-F "file=@event-qrs.xlsx" \
-F "theme_id=4"
{
"operation_id": "bo-9a1b2c",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
在 Management API 主机(
与批量生成 QR 码相同的异步模式:轮询列出批量操作获取
api.scanova.io)上使用 v2(基于主题)模板,根据上传的表格异步创建大量 QR 码,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/bulk-operation/generate/v2/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
integer
应用于生成的 QR 码的活跃主题 id。
integer
用于保存生成的 QR 码的文件夹 id。
curl -X POST "https://api.scanova.io/bulk-operation/generate/v2/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "name=September event QR batch" \
-F "file=@event-qrs.xlsx" \
-F "theme_id=4"
{
"operation_id": "bo-9a1b2c",
"message": ["Your file is being processed. We'll email you once it's ready."]
}
status/progress,然后获取 result_file/log_file。
如果文件/列无效、分类不受支持(url、gs1 或 ai),或配额超出,则返回 400。如果账户缺少 BULK_OPERATION 配额、套餐不活跃,或缺少 BULK_OPERATION_CAN_GENERATE 权限,则返回 403。
相关内容
- 批量生成 QR 码——适用于 v1 模板的等效端点。
- 列出批量操作——轮询完成状态。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
Generation started.
此页面对您有帮助吗?